org.csstudio.opibuilder.scriptUtil

## Class ConsoleUtil

- java.lang.Object
- - org.csstudio.opibuilder.scriptUtil.ConsoleUtil

-     public class ConsoleUtil
      extends java.lang.Object

  The Utility Class to help write information to CSS console.
  Author:
    Xihui Chen

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConsoleUtil()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `writeError(java.lang.String message)` Write Error information to CSS console.
    `static void` | `writeInfo(java.lang.String message)` Write information to CSS console.
    `static void` | `writeString(java.lang.String string)` Write pure string to CSS console without any extra headers in black color.
    `static void` | `writeString(java.lang.String string, int red, int green, int blue)` Write pure string to CSS console in specified color.
    `static void` | `writeWarning(java.lang.String message)` Write Warning information to CSS console.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConsoleUtil

          public ConsoleUtil()

  - ### Method Detail

    - #### writeInfo

          public static void writeInfo(java.lang.String message)

      Write information to CSS console.
      Parameters:
        `message` - the output string.

    - #### writeError

          public static void writeError(java.lang.String message)

      Write Error information to CSS console.
      Parameters:
        `message` - the output string.

    - #### writeWarning

          public static void writeWarning(java.lang.String message)

      Write Warning information to CSS console.
      Parameters:
        `message` - the output string.

    - #### writeString

          public static void writeString(java.lang.String string)

      Write pure string to CSS console without any extra headers in black color.
      Parameters:
        `string` - the output string.

    - #### writeString

          public static void writeString(java.lang.String string,
                         int red,
                         int green,
                         int blue)

      Write pure string to CSS console in specified color.
      Parameters:
        `string` - the output string.
        `red` - the red component of RGB
        `green` - the green component of RGB
        `blue` - the blue component of RGB